*{
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

body{
    background-color: #fafafa;
    display: flex;
    align-items: center;
    justify-content: center;

    height: 100vh;
    margin:0;
    transition: background 0.2s linear;
}

body.dark{
    background:#292c35
}

.check{
    opacity: 0;
    position: absolute;
}
.label{
    background-color: #111;
    border-radius: 50px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px;
    position: relative;
    height: 26px;
    width: 50px;
    transform: scale(1.5);
}

.label .ball{
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    top: 2px;
    left:2px;
    height: 22px;
    width: 22px;
    transform: translateX(0px);
    transition: transform 0.2s linear;
}

#check:checked + .label .ball{
    transform: translateX(24px);
}

#lua{
    color: #f1c40f;
}
#sol{
    color: #f39c12;
}